log4shib 2.0.0

Classes | Namespaces | Typedefs | Variables
Appender.hh File Reference
`#include <log4shib/Portability.hh>`
`#include <string>`
`#include <map>`
`#include <set>`
`#include <stdarg.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <log4shib/Priority.hh>`
`#include <log4shib/Layout.hh>`
`#include <log4shib/LoggingEvent.hh>`
`#include <log4shib/threading/Threading.hh>`
Include dependency graph for Appender.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | log4shib::Appender
| Implement this interface for your own strategies for printing log statements. More...

## Namespaces
namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.

## Typedefs
typedef std::set< Appender * > | log4shib::AppenderSet

## Variables
class LOG4SHIB_EXPORT | log4shib::Filter